<?php
namespace Claromentis\Core\Metadata\Events;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_1be96e4780d6aa31594b89" . "833f1f926b" => base64_decode("b2xkX2ZpZWx" . "k"), "_17e4cf041bcee0e2" . "c7fa683cc3f19f56" => base64_decode("bmV3X2ZpZ" . "Wxk"));
use DynamicMetaFieldPrototype;
use MetaDataSet;
use Symfony\Component\EventDispatcher\GenericEvent;
class MetadataFieldUpdatedEvent extends GenericEvent
{
    public function __construct(MetaDataSet $_77c5854c00ecc3702ca7bb6badfe7a22, DynamicMetaFieldPrototype $_2fe7618e12aca07791d27b07f63963c8, DynamicMetaFieldPrototype $_d8f5eba4e43c8ff065b8dd64d682ad6c = null)
    {
        parent::__construct($_77c5854c00ecc3702ca7bb6badfe7a22, [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_17e4cf04" . "1bcee0e2c" . "7fa683cc3" . "f19f56"] => $_2fe7618e12aca07791d27b07f63963c8, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1be96e4780d6" . "aa31594b89833" . "f1f926b"] => $_d8f5eba4e43c8ff065b8dd64d682ad6c]);
    }
    public function GetMetadataSet() : MetaDataSet
    {
        return $this->getSubject();
    }
    public function GetMetadataSetType()
    {
        return $this->getSubject()->set_type;
    }
    public function GetOldField() : ?DynamicMetaFieldPrototype
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_1be96e4780d6aa31594b8" . "9833f1f926b"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_1be96e4780d6aa31594b898" . "33f1f926b"]) : null;
    }
    public function GetNewField() : ?DynamicMetaFieldPrototype
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_17e4cf041b" . "cee0e2c7fa6" . "83cc3f19f56"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_17e4cf041bcee0e2c7fa6" . "83cc3f19f56"]) : null;
    }
}